# class KAboutPerson | This structure is used to store information about a person or developer. More...
Definition | `#include <kaboutdata.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAboutPerson ( const char *_name, const char *_task, const char *_emailAddress, const char *_webAddress )
- KAboutPerson ()
- QString name () const
- QString task () const
- QString emailAddress () const
- QString webAddress () const

## Detailed Description

This structure is used to store information about a person or developer. It can store the person's name, a task, an email address and a link to a homepage. This class is intended for use in the KAboutProgram class, but it can be used elsewhere as well. Normally you should at least define the person's name.

KAboutPerson ( const char *_name, const char *_task, const char *_emailAddress, const char *_webAddress ) | ### KAboutPerson

Convenience constructor

Parameters:

_name | The name of the person.
_task | The task of this person. This string should be marked for translation, e.g. I18N_NOOP("Task description....")
_emailAddress | The email address of the person.
_webAddress | Homepage of the person.

KAboutPerson () | ### KAboutPerson

QString name () | ### name

[const]

The person's name

QString task () | ### task

[const]

The person's task

QString emailAddress () | ### emailAddress

[const]

The person's email address

QString webAddress () | ### webAddress

[const]

The homepage or a relevant link

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:34:58 2001, using kdoc 2.0a53.